﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace PV179_Demo
{
    public partial class ViewStateDemo : System.Web.UI.Page
    {
        #region "Page & Controls events"

        protected void Page_Load(object sender, EventArgs e)
        {
            // Register click events to our buttons
            this.btnSetText1.Click += new EventHandler(btnSetText1_Click);
            this.btnSetText2.Click += new EventHandler(btnSetText2_Click);
            this.btnPrintText.Click += new EventHandler(btnPrintText_Click);

            // Set the default value to the TextBox #1
            this.txtText1.Text = "Default value";
        }


        protected void btnPrintText_Click(object sender, EventArgs e)
        {
            // Copy text from TextBox1 to TextBox 2
            this.txtText2.Text = this.txtText1.Text;
        }


        protected void btnSetText1_Click(object sender, EventArgs e)
        {
            // Set the text to label #1
            this.lblText1.Text = "Yay! It works! #1";
        }


        protected void btnSetText2_Click(object sender, EventArgs e)
        {
            // Set the text to label #2
            this.lblText2.Text = "Yay! It works! #2";
        }

        #endregion
    }
}
