﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace RESTEventLog
{
    public partial class EventDetail : Form
    {
        public EventDetail(int eventId)
        {
            InitializeComponent();

            LoadDetail(eventId);
        }

        private void LoadDetail(int eventId)
        {
            string url = "http://localhost/KenticoCMS7_1/rest/cms.eventlog/" + eventId;

            DataSet ds = new DataSet();
            Program.LoadDataSet(url, ref ds);

            if ((ds != null) && (ds.Tables.Count > 0) && (ds.Tables[0].Rows.Count > 0))
            {
                DataRow dr = ds.Tables[0].Rows[0];

                lblCode.Text = dr["EventCode"].ToString();
                lblSource.Text = dr["Source"].ToString();
                if (dr.Table.Columns.Contains("EventDescription"))
                {
                    lblDescription.Text = dr["EventDescription"].ToString();
                }
            }
        }
    }
}
