﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace PV179_Demo
{
    public partial class PageLifeCycleDemo : System.Web.UI.Page
    {
        #region "Variables"

        protected string mControlLog = "";

        #endregion 

        #region "Page & Controls events"

        protected override void OnPreInit(EventArgs e)
        {
            base.OnPreInit(e);

            // Append the text of text box to the log
            mControlLog += "PreInit: " + txtText.Text + "</br>";
        }


        protected override void OnInit(EventArgs e)
        {
            base.OnInit(e);

            // Append the text of text box to the log
            mControlLog += "Init: " + txtText.Text + "</br>";
        }


        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);

            // Append the text of text box to the log
            mControlLog += "Load: " + txtText.Text + "</br>";
        }


        protected override void OnPreRender(EventArgs e)
        {
            base.OnPreRender(e);

            // Append the text of text box to the log
            mControlLog += "PreRender: " + txtText.Text + "</br>";
        }


        protected override void Render(HtmlTextWriter writer)
        {
            base.Render(writer);

            // Write the log to the response
            writer.Write(mControlLog);
        }


        protected void btnPostback_Click(object sender, EventArgs e)
        {
            this.txtText.Text = "Changed!";
        }

        #endregion
    }
}
